Open CASCADE Technology: Prs3d_ShadingAspect Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Prs3d_ShadingAspect Class Reference

A framework to define the display of shading. The attributes which make up this definition include: More...

`#include <Prs3d_ShadingAspect.hxx>`

Inheritance diagram for Prs3d_ShadingAspect:
[legend]

## Public Member Functions
| Prs3d_ShadingAspect ()
| Constructs an empty framework to display shading. More...
| Prs3d_ShadingAspect (const Handle< Graphic3d_AspectFillArea3d > &theAspect)
void | SetColor (const Quantity_Color &aColor, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
| Change the polygons interior color and material ambient color. More...
void | SetColor (const Quantity_NameOfColor aColor, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
| Change the polygons interior color and material ambient color. More...
void | SetMaterial (const Graphic3d_MaterialAspect &aMaterial, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
| Change the polygons material aspect. More...
void | SetMaterial (const Graphic3d_NameOfMaterial aMaterial, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
void | SetTransparency (const Standard_Real aValue, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
| Change the polygons transparency value. Warning : aValue must be in the range 0,1. 0 is the default (NO transparent) More...
const Quantity_Color & | Color (const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_FRONT_SIDE) const
| Returns the polygons color. More...
const Graphic3d_MaterialAspect & | Material (const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_FRONT_SIDE) const
| Returns the polygons material aspect. More...
Standard_Real | Transparency (const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_FRONT_SIDE) const
| Returns the polygons transparency value. More...
Handle< Graphic3d_AspectFillArea3d > | Aspect () const
| Returns the polygons aspect properties. More...
void | SetAspect (const Handle< Graphic3d_AspectFillArea3d > &theAspect)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

A framework to define the display of shading. The attributes which make up this definition include:

- fill aspect
- color, and
- material

## Constructor & Destructor Documentation

Prs3d_ShadingAspect::Prs3d_ShadingAspect | ( |  | ) |

Constructs an empty framework to display shading.

Prs3d_ShadingAspect::Prs3d_ShadingAspect | ( | const Handle< Graphic3d_AspectFillArea3d > & | theAspect | ) |

## Member Function Documentation

Handle< Graphic3d_AspectFillArea3d > Prs3d_ShadingAspect::Aspect | ( |  | ) | const

Returns the polygons aspect properties.

const Quantity_Color& Prs3d_ShadingAspect::Color | ( | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_FRONT_SIDE` | ) | const

Returns the polygons color.

const Graphic3d_MaterialAspect& Prs3d_ShadingAspect::Material | ( | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_FRONT_SIDE` | ) | const

Returns the polygons material aspect.

void Prs3d_ShadingAspect::SetAspect | ( | const Handle< Graphic3d_AspectFillArea3d > & | theAspect | ) |

void Prs3d_ShadingAspect::SetColor | ( | const Quantity_Color & | aColor,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |  |

Change the polygons interior color and material ambient color.

void Prs3d_ShadingAspect::SetColor | ( | const Quantity_NameOfColor | aColor,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |  |

Change the polygons interior color and material ambient color.

void Prs3d_ShadingAspect::SetMaterial | ( | const Graphic3d_MaterialAspect & | aMaterial,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |  |

Change the polygons material aspect.

void Prs3d_ShadingAspect::SetMaterial | ( | const Graphic3d_NameOfMaterial | aMaterial,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |  |

void Prs3d_ShadingAspect::SetTransparency | ( | const Standard_Real | aValue,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |  |

Change the polygons transparency value. Warning : aValue must be in the range 0,1. 0 is the default (NO transparent)

Standard_Real Prs3d_ShadingAspect::Transparency | ( | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_FRONT_SIDE` | ) | const

Returns the polygons transparency value.

The documentation for this class was generated from the following file:

- Prs3d_ShadingAspect.hxx